<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:17 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SnackbarHelper</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SnackbarHelper";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.DismissBehavior.html" title="enum in com.playground.drawingar.helpers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/helpers/SnackbarHelper.html" target="_top">Frames</a></li>
<li><a href="SnackbarHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar.helpers</div>
<h2 title="Class SnackbarHelper" class="title">Class SnackbarHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.helpers.SnackbarHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">SnackbarHelper</span>
extends java.lang.Object</pre>
<div class="block">Вспомогательный класс для работы со <code>Snackbar</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.DismissBehavior.html" title="enum in com.playground.drawingar.helpers">SnackbarHelper.DismissBehavior</a></span></code>
<div class="block">dismiss behavior снекбара.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#BACKGROUND_COLOR">BACKGROUND_COLOR</a></span></code>
<div class="block">Цвет заднего фона снекбара.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#lastMessage">lastMessage</a></span></code>
<div class="block">Последнее выведенное сообщение.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#maxLines">maxLines</a></span></code>
<div class="block">Наибольшее число строк в снекбаре.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private android.support.design.widget.Snackbar</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#messageSnackbar">messageSnackbar</a></span></code>
<div class="block">Объект для работы со <code>Snackbar</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#SnackbarHelper--">SnackbarHelper</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#hide-android.app.Activity-">hide</a></span>(android.app.Activity&nbsp;activity)</code>
<div class="block">Убирает снекбар с экрана, если он присутствует на экране.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#isShowing--">isShowing</a></span>()</code>
<div class="block">Возвращает состояние снекбара.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#setMaxLines-int-">setMaxLines</a></span>(int&nbsp;lines)</code>
<div class="block">Установить максимальное число строк.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#show-android.app.Activity-java.lang.String-com.playground.drawingar.helpers.SnackbarHelper.DismissBehavior-">show</a></span>(android.app.Activity&nbsp;activity,
    java.lang.String&nbsp;message,
    <a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.DismissBehavior.html" title="enum in com.playground.drawingar.helpers">SnackbarHelper.DismissBehavior</a>&nbsp;dismissBehavior)</code>
<div class="block">Общий метод для показа разного рода сообщения в снекбаре.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#showError-android.app.Activity-int-">showError</a></span>(android.app.Activity&nbsp;activity,
         int&nbsp;errorMessageResource)</code>
<div class="block">Показывает ошибку.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#showError-android.app.Activity-java.lang.String-">showError</a></span>(android.app.Activity&nbsp;activity,
         java.lang.String&nbsp;errorMessage)</code>
<div class="block">Показывает снекбар с сообщением об ошибке.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#showMessage-android.app.Activity-java.lang.String-">showMessage</a></span>(android.app.Activity&nbsp;activity,
           java.lang.String&nbsp;message)</code>
<div class="block">Показывает снекбар с сообщением.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.html#showMessageWithDismiss-android.app.Activity-java.lang.String-">showMessageWithDismiss</a></span>(android.app.Activity&nbsp;activity,
                      java.lang.String&nbsp;message)</code>
<div class="block">Показывает снекбар с сообщением и кнопкой для отмены.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="BACKGROUND_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKGROUND_COLOR</h4>
<pre>private static final&nbsp;int BACKGROUND_COLOR</pre>
<div class="block">Цвет заднего фона снекбара.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.helpers.SnackbarHelper.BACKGROUND_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="messageSnackbar">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>messageSnackbar</h4>
<pre>private&nbsp;android.support.design.widget.Snackbar messageSnackbar</pre>
<div class="block">Объект для работы со <code>Snackbar</code>.</div>
</li>
</ul>
<a name="maxLines">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxLines</h4>
<pre>private&nbsp;int maxLines</pre>
<div class="block">Наибольшее число строк в снекбаре.</div>
</li>
</ul>
<a name="lastMessage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>lastMessage</h4>
<pre>private&nbsp;java.lang.String lastMessage</pre>
<div class="block">Последнее выведенное сообщение.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SnackbarHelper--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SnackbarHelper</h4>
<pre>public&nbsp;SnackbarHelper()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isShowing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isShowing</h4>
<pre>public&nbsp;boolean&nbsp;isShowing()</pre>
<div class="block">Возвращает состояние снекбара.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> - если снекбар выведен на экран.</dd>
</dl>
</li>
</ul>
<a name="showMessage-android.app.Activity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showMessage</h4>
<pre>public&nbsp;void&nbsp;showMessage(android.app.Activity&nbsp;activity,
                        java.lang.String&nbsp;message)</pre>
<div class="block">Показывает снекбар с сообщением.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>activity</code> - Активность, на которой появится снекбар.</dd>
<dd><code>message</code> - Сообщение, которое нужно вывести.</dd>
</dl>
</li>
</ul>
<a name="showMessageWithDismiss-android.app.Activity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showMessageWithDismiss</h4>
<pre>public&nbsp;void&nbsp;showMessageWithDismiss(android.app.Activity&nbsp;activity,
                                   java.lang.String&nbsp;message)</pre>
<div class="block">Показывает снекбар с сообщением и кнопкой для отмены.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>activity</code> - Активность, на которой появится снекбар.</dd>
<dd><code>message</code> - Сообщение, которое нужно вывести.</dd>
</dl>
</li>
</ul>
<a name="showError-android.app.Activity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showError</h4>
<pre>public&nbsp;void&nbsp;showError(android.app.Activity&nbsp;activity,
                      java.lang.String&nbsp;errorMessage)</pre>
<div class="block">Показывает снекбар с сообщением об ошибке. Если пользователь нажал на отмену,
 экран закрывается. Полезен для уведомления ошибок, с которыми дальнейшее использование
 экрана невозможно.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>activity</code> - Активность, на которой появится снекбар.</dd>
<dd><code>errorMessage</code> - Сообщение об ошибке, которое нужно вывести.</dd>
</dl>
</li>
</ul>
<a name="showError-android.app.Activity-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showError</h4>
<pre>public&nbsp;void&nbsp;showError(android.app.Activity&nbsp;activity,
                      int&nbsp;errorMessageResource)</pre>
<div class="block">Показывает ошибку.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>activity</code> - Активность, на которой появится снекбар.</dd>
<dd><code>errorMessageResource</code> - Идентификатор ресурса с сообщением об ошибке</dd>
</dl>
</li>
</ul>
<a name="hide-android.app.Activity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hide</h4>
<pre>public&nbsp;void&nbsp;hide(android.app.Activity&nbsp;activity)</pre>
<div class="block">Убирает снекбар с экрана, если он присутствует на экране.
 Можно вызвать с любого потока.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>activity</code> - Активность, с которой нужно убрать снекбар.</dd>
</dl>
</li>
</ul>
<a name="setMaxLines-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxLines</h4>
<pre>public&nbsp;void&nbsp;setMaxLines(int&nbsp;lines)</pre>
<div class="block">Установить максимальное число строк.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lines</code> - Число строк.</dd>
</dl>
</li>
</ul>
<a name="show-android.app.Activity-java.lang.String-com.playground.drawingar.helpers.SnackbarHelper.DismissBehavior-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>show</h4>
<pre>private&nbsp;void&nbsp;show(android.app.Activity&nbsp;activity,
                  java.lang.String&nbsp;message,
                  <a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.DismissBehavior.html" title="enum in com.playground.drawingar.helpers">SnackbarHelper.DismissBehavior</a>&nbsp;dismissBehavior)</pre>
<div class="block">Общий метод для показа разного рода сообщения в снекбаре.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>activity</code> - Активность, на которой появится снекбар.</dd>
<dd><code>message</code> - Сообщение, которое нужно вывести на экран</dd>
<dd><code>dismissBehavior</code> - dismiss behavior</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/playground/drawingar/helpers/SnackbarHelper.DismissBehavior.html" title="enum in com.playground.drawingar.helpers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/helpers/SnackbarHelper.html" target="_top">Frames</a></li>
<li><a href="SnackbarHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
